import Test from './components/test'
import AccountSettings from './components/account'
import QuoteSummary from './components/quoteSummary'
import Banner from './components/banner'

import config, { setOptions } from './utils/config'
import utils from './utils/mixins'

const components = {
    Test,
    AccountSettings,
    QuoteSummary,
    Banner
}

components.install = (Vue, options = {}) => {
    // Options
    setOptions(Object.assign(config, options))

    for (const componentName in components) {
        const component = components[componentName]

        if (component && componentName !== 'install') {
            Vue.component(component.name, component)
        }
    }
}

export const mixins = utils

export default components
